%define major   0
%define libname %mklibname argtable2_ %{major}
%define devname %mklibname argtable2 -d

Name:       argtable2
Version:    13
Release:    %mkrel 15
License:    LGPLv2+
Group:      Development/C
Summary:    A library for parsing GNU style command line arguments
URL:        http://argtable.sourceforge.net/
Source0:    https://downloads.sourceforge.net/argtable/%{name}-%{version}.tar.gz

%description
Argtable is an ANSI C library for parsing GNU style command line arguments.
It enables a program's command line syntax to be defined in the source
code as an array of argtable structs. The command line is then parsed
according to that specification and the resulting values are returned in
those same structs where they are accessible to the main program. Both tagged
(-v, --verbose, --foo=bar) and untagged arguments are supported, as are
multiple instances of each argument. Syntax error handling is automatic and
the library also provides the means for displaying the command line syntax
directly from the array of argument specifications.
Argtable can function as a "getopt_long" replacement, without the user
of the program noticing the difference. Unlike "getopt_long", argtable is
cross platform and works on Windows and Mac as well as Posix systems.

%package -n %{libname}
Summary:    A library for parsing GNU style command line arguments
Group:      System/Libraries
Obsoletes:  %{name} < 13-10
Provides:   %{name} = %{version}-%{release}

%description -n %{libname}
Argtable is an ANSI C library for parsing GNU style command line arguments.
It enables a program's command line syntax to be defined in the source
code as an array of argtable structs. The command line is then parsed
according to that specification and the resulting values are returned in
those same structs where they are accessible to the main program. Both tagged
(-v, --verbose, --foo=bar) and untagged arguments are supported, as are
multiple instances of each argument. Syntax error handling is automatic and
the library also provides the means for displaying the command line syntax
directly from the array of argument specifications.
Argtable can function as a "getopt_long" replacement, without the user
of the program noticing the difference. Unlike "getopt_long", argtable is
cross platform and works on Windows and Mac as well as Posix systems.

%package -n %{devname}
Group:      Development/C
Summary:    Development libraries and headers for the %{name} library
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %{name}-devel < 13-10

%description -n %{devname}
Development libraries and headers for use in building applications that
use the %{name} library.

%package doc
Group:      Development/C
Summary:    Documentation for the %{name} library
BuildArch:  noarch

%description doc
The %{name}-doc package contains documentation for using
the %{name} library.

%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

%configure \
    --disable-static \
    --docdir=%{_docdir}/%{name}-%{version}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%check
%{__make} check

%files -n %{libname}
%license COPYING
%doc AUTHORS ChangeLog README
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*

%files doc
%doc %{_docdir}/%{name}-%{version}


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 13-15.mga9
+ Revision: 1792487
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 13-14.mga8
+ Revision: 1519406
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Oct 11 2018 pterjan <pterjan> 13-13.mga7
+ Revision: 1319645
- Drop requirement of the -devel package from the doc. Using devname was incorrect as it is arch specific but anyway you don't need the -devel package to read the doc

* Fri Sep 21 2018 umeabot <umeabot> 13-12.mga7
+ Revision: 1294542
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 wally <wally> 13-11.mga7
+ Revision: 1234525
- fix build on aarch64

* Tue Dec 26 2017 wally <wally> 13-10.mga7
+ Revision: 1185473
- libify pkg
- move man pages to devel pkg

* Sun Jan 17 2016 daviddavid <daviddavid> 13-9.mga6
+ Revision: 924834
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 13-8.mga5
+ Revision: 742450
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 13-7.mga5
+ Revision: 677891
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 13-6.mga4
+ Revision: 523336
- Mageia 4 Mass Rebuild

* Sun Apr 07 2013 rtp <rtp> 13-5.mga3
+ Revision: 408913
- fix configure argument

* Fri Jan 11 2013 umeabot <umeabot> 13-4.mga3
+ Revision: 346035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 shlomif <shlomif> 13-3.mga3
+ Revision: 248771
- Bump the release to mkrel 3
- Convert tabs to spaces
- Got rid of trailing spaces
- Convert the groups to the Mageia standard
- imported package argtable2


* Tue Mar 20 2009 Jess Portnoy <kernel01@gmail.com> 11-2
- Added --target= passing the _build_cpu macro
* Tue Mar 17 2009 Stewart Heitmann <sheitmann@users.sourceforge.net> 11-1
- Minor tweaks to the Makefile install process. The source code is unchanged.
* Sun Mar 8 2009 Jess Portnoy <kernel01@gmail.com> 10-5
- Added make check, moved docs from devel to a separate doc package, excluded Makefile.nmake.
* Thu Feb 19 2009 Jess Portnoy <kernel01@gmail.com> 10-4
- Package repack due to adding this spec file to the source tar ball.
* Thu Feb 19 2009 Jess Portnoy <kernel01@gmail.com> 10-3
- Added --enable-static=no and --docdir=/usr/share/doc/argtable2-devel-version to configure command.
* Tue Feb 17 2009 Jess Portnoy <kernel01@gmail.com> 10-2
- Omitted tests dir and added the example dir to the devel package documentation.
* Tue Jan 27 2009 Stewart Heitmann <sheitmann@users.sourceforge.net> 10-1
- Minor tweaks to the documentation and configuration scripts. The source code is unchanged.
* Sat Dec 20 2008 Jess Portnoy <kernel01@gmail.com> 9-2
- Reworked the rpm package to satisfy Fedora Core 10 conventions.
* Wed Mar 26 2008 Stewart Heitmann <sheitmann@users.sourceforge.net> 9-1
- Fixed a makefile bug. The source code remains unchanged from argtable2-8.
* Tue Jan 1 2008 Stewart Heitmann <sheitmann@users.sourceforge.net> 8-1
- Added extra foolproofing to miscellaneous library functions.
* Wed Jul 18 2007 Stewart Heitmann <sheitmann@users.sourceforge.net> 7-1
- Improved argument checking features plus bug fixes for TI DSP and Solaris platforms.
* Sun Feb 12 2006 Stewart Heitmann <sheitmann@users.sourceforge.net> 6-1
- Windows makefiles are re-instated. The source code remains unchanged from argtable2-5.
* Fri Dec 23 2005 Stewart Heitmann <sheitmann@users.sourceforge.net> 5-1
- Migration to automake plus enhanced glossary printing features.
* Mon Jan 31 2005 Stewart Heitmann <sheitmann@users.sourceforge.net> 4-0
- Added new date and string argument parsing features and improved error reporting.
* Mon Feb 10 2004 Stewart Heitmann <sheitmann@users.sourceforge.net> 3-0
- Initial rpm package release.

